/* ***** BEGIN LICENSE BLOCK *****
 * Version: MPL 1.1/GPL 2.0/LGPL 2.1
 *
 * The contents of this file are subject to the Mozilla Public License Version
 * 1.1 (the "License"); you may not use this file except in compliance with
 * the License. You may obtain a copy of the License at
 * http://www.mozilla.org/MPL/
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is Mozilla Communicator client code, released
 * March 31, 1998.
 *
 * The Initial Developer of the Original Code is
 * Netscape Communications Corporation.
 * Portions created by the Initial Developer are Copyright (C) 1998-1999
 * the Initial Developer. All Rights Reserved.
 *
 * Contributor(s):
 *
 * Alternatively, the contents of this file may be used under the terms of
 * either the GNU General Public License Version 2 or later (the "GPL"), or
 * the GNU Lesser General Public License Version 2.1 or later (the "LGPL"),
 * in which case the provisions of the GPL or the LGPL are applicable instead
 * of those above. If you wish to allow use of your version of this file only
 * under the terms of either the GPL or the LGPL, and not to allow others to
 * use your version of this file under the terms of the MPL, indicate your
 * decision by deleting the provisions above and replace them with the notice
 * and other provisions required by the GPL or the LGPL. If you do not delete
 * the provisions above, a recipient may use your version of this file under
 * the terms of any one of the MPL, the GPL or the LGPL.
 *
 * ***** END LICENSE BLOCK ***** */

/* ===== global.css =====================================================
  == Styles that apply everywhere.
  ======================================================================= */

/* all localizable skin settings shall live here */
@import url("chrome://global/locale/intl.css");

@import url("chrome://global/skin/formatting.css");

@namespace url("http://www.mozilla.org/keymaster/gatekeeper/there.is.only.xul");

/* ::::: XBL bindings ::::: */

radio {
  -moz-binding: url("chrome://global/skin/globalBindings.xml#radio");
}

menulist > menupopup,
.menulist-menupopup {
  -moz-binding: url("chrome://global/content/bindings/popup.xml#popup-scrollbars");
}

.menulist-compact {
  -moz-binding: url("chrome://global/content/bindings/menulist.xml#menulist-compact");
}

progressmeter[mode="undetermined"] {
  -moz-binding: url("chrome://global/content/bindings/progressmeter.xml#progressmeter-undetermined");
}

/* ::::: root elements ::::: */

window,
page,
dialog,
wizard,
prefwindow {
  -moz-appearance: window;
  background-color: -moz-Dialog;
  color: -moz-DialogText;
  font: message-box;
}

window.dialog {
  padding-top: 8px;
  padding-bottom: 10px;
  -moz-padding-start: 8px;
  -moz-padding-end: 10px;
}

[wait-cursor] {
  cursor: wait !important;
}

/* ::::: alert icons :::::*/

.message-icon,
.alert-icon,
.error-icon,
.question-icon {
  width: 32px;
  height: 32px;
}

.message-icon {
  list-style-image: url("chrome://global/skin/icons/Message.png");
}

.alert-icon {
  list-style-image: url("chrome://global/skin/icons/Warning.png");
}

.error-icon {
  list-style-image: url("chrome://global/skin/icons/Error.png");
}

.question-icon {
  list-style-image: url("chrome://global/skin/icons/Question.png");
}

/* ::::: iframe ::::: */

iframe {
  border: none;
  width: 100px;
  height: 100px;
  min-width: 10px;
  min-height: 10px;
}

/* ::::: statusbar ::::: */

statusbar {
  -moz-appearance: statusbar;
  border-top: 1px solid ThreeDLightShadow;
  border-left: 1px solid ThreeDShadow;
  border-right: 1px solid ThreeDHighlight;
  border-bottom: 1px solid ThreeDHighlight;
  background-color: -moz-Dialog;
  min-height: 22px;
}

statusbarpanel {
  -moz-appearance: statusbarpanel;
  -moz-box-align: center;
  -moz-box-pack: center;
  border-left: 1px solid ThreeDHighlight;
  border-top: 1px solid ThreeDHighlight;
  border-right: 1px solid ThreeDShadow;
  border-bottom: 1px solid ThreeDShadow;
  padding: 0 4px;
}

.statusbar-resizerpanel {
  -moz-box-align: end;
  -moz-box-pack: end;
  -moz-appearance: resizerpanel;
  padding: 0px;
  border: none;
}

.statusbarpanel-iconic,  .statusbarpanel-iconic-text, .statusbarpanel-menu-iconic {
  padding: 0px 1px 0px 1px;
}

resizer[dir="bottomright"] {
  -moz-appearance: resizer;
  cursor: se-resize;
}

/* XXXBlake yeah, shoot me -- these don't belong here.  I'll move them later. */

sidebarheader {
  height: 25px;
  background-color: -moz-Dialog;
  -moz-appearance: toolbox;
  border-bottom: 1px solid ThreeDShadow;
  border-top: 1px solid ThreeDHighlight;
}

sidebarheader > label {
  -moz-padding-start: 4px;
}

/* ::::: miscellaneous ::::: */

.toolbar-focustarget {
  -moz-user-focus: ignore !important;
}

/* :::::: autoscroll popup ::::: */

#autoscroller {
  height: 28px;
  width: 28px;
  border: none;
  margin: -14px;
  padding: 0;
  background-image: url("chrome://global/skin/icons/autoscroll.png");
  background-color: transparent;
%ifdef XP_WIN
  background-position: right top;
%endif
  -moz-appearance: none;
}

#autoscroller[scrolldir="NS"] {
%ifdef XP_WIN
  background-position: right center;
%else
  background-position: left center;
%endif
}

#autoscroller[scrolldir="EW"] {
%ifdef XP_WIN
  background-position: right bottom;
%else
  background-position: left bottom;
%endif
}
